import json
from exceptions import *

# GET
def my_func(self, safe_name: str):
    url, head = self.epv.get_url('WebServices/PIMServices.svc/Safes/' + safe_name + '/Members')
    req = self.epv.session.get(url, headers=head, **self.epv.request_params)

    if req.status_code == 200:
        return json.loads(req.content)
    elif req.status_code == 404:
        return False
    else:
        raise Exception("Error occured during get_members call. CyberArk error:", req.content)


# POST
def post_function(self):
    url, head = self.epv.get_url('API/Accounts')

    body = {
        "key": "value"
    }

    try:
        req = self.epv.session.post(url, headers=head, data=body, **self.epv.request_params)
    except Exception as err:
        raise CyberarkException(err)

    if req.status_code != 201:
        content = json.loads(req.content)
        raise CyberarkAPIException(content["ErrorMessage"])

    return json.loads(req.content)
    # (req.content)['id']
